Bug 192763 - epstopdf BoundingBox not found for eps with Mac (\015) line endings
epstopdf BoundingBox not found for eps with Mac (\015) line endings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-22 16:04 EDT by George N. White III
Modified: 2013-07-02 19:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 11:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
version found in TeX Live 2005 (11.29 KB, text/plain)
2006-05-22 16:04 EDT, George N. White III
no flags Details

  None (edit)
Description George N. White III 2006-05-22 16:04:02 EDT
Description of problem:

$ /usr/bin/epstopdf pscript.eps
==> Warning: BoundingBox not found!


Version-Release number of selected component (if applicable):

$ rpm -q --whatprovides /usr/bin/epstopdf
tetex-3.0-9.FC4
$ /usr/bin/epstopdf --help
EPSTOPDF 2.7, 2001/03/05 - Copyright 1998-2001 by Sebastian Rahtz et al.
[...]

How reproducible: every time

Steps to Reproduce:
1.  take any .eps file with ^M line endings, e.g.
cat - <<EOF | tr '\012' '\015' > a.eps
%!PS-Adobe-2.0 EPSF-1.2
%%BoundingBox:100 100 172 172
100 100 moveto
72 72 rlineto
72 neg 0 rlineto
72 72 neg rlineto
stroke
100 100 moveto
/Times-Roman findfont
72 scalefont
setfont
(A) show
showpage
EOF

2.  run "epstodpf a.eps"

3.  view resulting .pdf
  
Actual results:

epstopdf issues "Warning: BoundingBox not found!" and creates a "full page"
pdf file


Expected results:

No warning, and resulting pdf file should use page size (1in x1 in) matching the
BoundingBox in the original EPS (e.g., tightly cropped).

Additional info:

epstopdf is a perl script.  TeX Live 2005 has a newer version
(EPSTOPDF 2.9.3draft, 2003/04/20) in the bin/i386-linux directory that includes
a fix for this bug, but unfortunately ships the old version in texmf/scripts/tetex.
Comment 1 George N. White III 2006-05-22 16:04:02 EDT
Created attachment 129824 [details]
version found in TeX Live 2005
Comment 2 Jindrich Novy 2006-06-05 07:24:12 EDT
The newer version contains incorrect link to ghostscript, assuming it's
available via "gsc". After modification to "ghostscript" it works as expected.
Thanks!
Comment 3 George N. White III 2006-06-08 07:38:58 EDT
Sorry, using "gsc" was a local configuration change.  Most systems would use
"gs" by default.

(te)tex perl scripts have been handled 2 ways:

1. put the script directly in /usr/bin and remove the .pl extension, e.g.,
epstopdf

2. put the script in /usr/share/texmf/scripts/... and use a generic
cover script (such as /usr/bin/texexec) which uses kpathsea to locate
the .pl script.  

The latter does, in principle, make it easier for users to install updates
to /usr/local/texmf/scripts or $HOME/texmf/scripts.  This issue is particularly
accute for ConTeXt, which relies on a large collection of perl and ruby scripts,
and which is updated early and often, which explains why method 2 is currently
used for ConTeXt scripts.

Now that tetex is not being maintained by the author, Thomas Esser, the role of
"canonical" TeX distribution seems likely to fall on TeX Live, which aims to
support a wider range of operating systems, including those where the unix "#!
program" mechanism is not available (e.g., win32) so method 2 above must be
used.  Thus the "canonical" location for the scripts will be in the texmf tree,
so mechanism 2 should be the norm.  This also makes it feasible to share texmf
trees.  TeX may be unique in that many sites have a texmf tree on a unix or
linux server and share it across unix+linux (via NFS) and Win32 (via samba).  
Comment 4 Jindrich Novy 2006-06-08 11:13:08 EDT
Ok, closing ERRATA as an update has been released.

Note You need to log in before you can comment on or make changes to this bug.